Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 12:03:10

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 echo "TESTING HFPhase1PMTParams generation code ..."
0006 write_HFPhase1PMTParams 1 HFPhase1PMTParams_V00_mc.bbin || die "Failure running write_HFPhase1PMTParams" $?
0007 
0008 echo "TESTING HFPhase1PMTParams database creation code ..."
0009 cmsRun ${SCRAM_TEST_PATH}/HFPhase1PMTParamsDBWriter_cfg.py || die "Failure running HFPhase1PMTParamsDBWriter_cfg.py" $?
0010 
0011 echo "TESTING HFPhase1PMTParams database reading code ..."
0012 cmsRun ${SCRAM_TEST_PATH}/HFPhase1PMTParamsDBReader_cfg.py || die "Failure running HFPhase1PMTParamsDBReader_cfg.py" $?
0013 
0014 echo "TESTING that we can restore HFPhase1PMTParams from the database ..."
0015 diff HFPhase1PMTParams_V00_mc.bbin dbread.bbin || die "Database contents differ from the original" $?